Finish passkey login
POST
/auth/passkeys/login/finish
const url = 'https://sylve.lan:8181/api/auth/passkeys/login/finish';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"credential":[1],"remember":true,"requestId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://sylve.lan:8181/api/auth/passkeys/login/finish \ --header 'Content-Type: application/json' \ --data '{ "credential": [ 1 ], "remember": true, "requestId": "example" }'Verify a WebAuthn assertion and create a local administrator session
Request Body
Section titled “Request Body”Passkey login completion request
Media typeapplication/json
object
credential
required
Array<integer>
remember
boolean
requestId
required
string
Examplegenerated
{ "credential": [ 1 ], "remember": true, "requestId": "example"}Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
basicSettings
object
id
integer
initialized
boolean
pools
Array<string>
restarted
boolean
services
Array<string>
hostname
string
nodeId
string
token
string
error
string
message
string
status
string
Example
{ "data": { "basicSettings": { "services": [ "dhcp-server" ] } }}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Forbidden
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Request Entity Too Large
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Service Unavailable
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}